Компрометация системы в WordPress Contus Video Gallery

Дата публикации:
13.06.2012
Дата изменения:
13.06.2012
Всего просмотров:
1906
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:U/RC:C) = Base:9.3/Temporal:7.9
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Contus Video Gallery Plugin 1.x
Уязвимые версии: WordPress Contus Video Gallery 1.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной проверки загружаемых файлов в сценарии wp-content/plugins/contus-video-galleryversion-10/upload1.php. Удаленный пользователь может загрузить файл с расширением ".gif", содержащий PHP код, и выполнить его на системе с привилегиями Web сервера.

Для успешной эксплуатации уязвимости требуется, чтобы Apache был настроен на обработку медиа типов файлов для файлов с расширениями ".jpg" или ".gif".

URL производителя: http://wordpress.org/extend/plugins/contus-video-galleryversion-10

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.opensyscom.fr/Actualites/wordpress-plugins-wordpress-video-gallery-arbitrary-file-upload-vulnerability.html

или введите имя

CAPTCHA